#include<iostream>
#include<vector>
using namespace std;
vector <int> a;
vector <int> x;
vector <int> y;
int n,m;
void unos()
{
    int p,q;
    cin>>n>>m;
    for(int i=0; i<n; i++){
        cin>>p;
        a.push_back(p);
    }
    for(int i=0; i<m; i++)
    {
        cin>>p>>q;
        x.push_back(p);
        y.push_back(q);
    }

}
void obrada()
{
    int zbir=0;
    for(int i=0;i<m;i++)
    {
        int zbir1=a[x[i]-1]+a[y[i]-1];
        int zbir2=(-1)*(a[x[i]-1]+a[y[i]-1]);
        zbir+=max(zbir1,zbir2);
    }
    cout<<zbir;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    unos();
    obrada();
}